Skip to main content
GET
/
api
/
v1
/
app-connections
/
litellm
/
connection-name
/
{connectionName}
cURL
curl --request GET \
  --url https://us.infisical.com/api/v1/app-connections/litellm/connection-name/{connectionName}
import requests

url = "https://us.infisical.com/api/v1/app-connections/litellm/connection-name/{connectionName}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://us.infisical.com/api/v1/app-connections/litellm/connection-name/{connectionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appConnection": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "app": "litellm",
    "method": "api-key",
    "credentials": {
      "instanceUrl": "<string>"
    },
    "description": "<string>",
    "version": 1,
    "isPlatformManagedCredentials": false,
    "gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "projectId": "<string>",
    "isAutoRotationEnabled": false,
    "gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rotation": {
      "rotationInterval": 123,
      "rotateAtUtc": {
        "hours": 123,
        "minutes": 123
      },
      "lastRotationMessage": "<string>",
      "nextRotationAt": "2023-11-07T05:31:56Z"
    },
    "credentialsHash": "<string>",
    "project": {
      "name": "<string>",
      "id": "<string>",
      "type": "<string>",
      "slug": "<string>"
    }
  }
}
{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}
{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}
{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}

Path Parameters

connectionName
string
required

The name of the LiteLLM Connection to retrieve.

Minimum string length: 1

Query Parameters

projectId
string

The project ID of the LiteLLM Connection is associated with. Leave unspecified to get organization-level connections.

Response

Default Response

appConnection
LiteLLM (API Key) · object
required